Bug 92645 - Shape text editing is broken in case of double-buffering
Summary: Shape text editing is broken in case of double-buffering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-09 08:10 UTC by Miklos Vajna
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
How it looks like currently (23.24 KB, image/png)
2015-07-09 08:12 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-07-09 08:10:38 UTC
Open a document with a draw shape, e.g. attachment 117083 [details] has a shape with text. Double-click on it to edit the text: the selection overlay is visible, but not the text itself, in case of

VCL_DOUBLEBUFFERING_FORCE_ENABLE=1 ./soffice.bin

is used to open the document.
Comment 1 Miklos Vajna 2015-07-09 08:12:18 UTC
Created attachment 117149 [details]
How it looks like currently
Comment 2 Commit Notification 2015-07-09 09:24:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b05ff2cc713601730393123f6daa95e41df3b6ea

Related: tdf#92645 svx rendercontext: avoid direct paint on ending text edit

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-07-09 15:06:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40ade8d04380083e383d6a6e50e5c254fcde2b2f

tdf#92645 svx rendercontext: fix missing paint on shape text editing

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-07-10 08:14:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11cc73ec9e04b8624168a4c3f218f14c9129f917&h=libreoffice-5-0

Related: tdf#92645 svx rendercontext: avoid direct paint on ending text edit

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-07-10 08:14:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19f2ded51c7b85d9e87fc2f11ddeb5874ed5ae85&h=libreoffice-5-0

tdf#92645 svx rendercontext: fix missing paint on shape text editing

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.